<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,   description
 system_h   ,    0 ,   board high temperature area
 pa_0       ,    1 ,   major pa
 charger    ,    2 ,   charge ic
 usb        ,    3 ,   USB
 cluster0   ,    4 ,   cpu little core
 cluster1   ,    5 ,   cpu middle core
 gpu        ,    6 ,   gpu core
 modem      ,    7 ,   modem
 ddr        ,    8 ,   ddr
 battery    ,    9 ,   battery
 lcd        ,    10,   display screen
 tp         ,    11,   touch screen
 system_l   ,    12,   board low temperature area
 rfboard    ,    13,   mobile cool area
 wireless   ,    14,   wireless charge ic
 pa_1       ,    15,   minor pa
 dcxo_0     ,    16,   major crystal oscillator
 dcxo_1     ,    17,   minor crystal oscillator
 camera_0   ,    18,   back camera
 camera_1   ,    19,   front camera
 codec      ,    20,   codec

 shell_frame,    22,   frame shell
 ambient_v1 ,    23,   ambient v1.0
 ambient    ,    24,   ambient v2
 ir         ,    25,   ir
 dot        ,    26,   dot
 flash_led  ,    27,   flash led
 shell_front,    28,   front shell
 shell_back ,    29,   back shell
 usb_port   ,    30,   accurate USB
 supply_avg ,    31, average value of battery supply
 "supply_peak,   32, peak value of battery supply
 bat_0      ,    33, battery_0 of dual-battery
 bat_1      ,    34, battery_1 of dual-battery
 pa_2       ,    35, sub pa
 pa_3       ,    36, sub pa
 pa_4       ,    37, sub pa
 mmw_0      ,    38, mmw major pa
 mmw_1      ,    39, mmw minor pa
 shell_0    ,    40, shell v3.0
 shell_1    ,    41, shell v3.0
 shell_2    ,    42, shell v3.0
 shell_3    ,    43, shell v3.0
 shell_4    ,    44, shell v3.0
 shell_5    ,    45, shell v3.0
 cluster2   ,    46, acpu big cpu core
 msm-therm-adc,  47, ap zone on Qcom platform
 msm-therm  ,    48, ap zone on Qcom platform
 chg-therm-adc,  49, charge ic on Qcom platform
 pa-therm0  ,    50, pa on Qcom platform
 pa_therm0  ,    51, pa on Qcom platform
 mtktsAP    ,    52, ap zone on mtk platform
 mtkts_chargerntc, 53, charge ic on mtk platform
 mtktsbtsmdpa,   54, pa on mtk platform
 mtkts_usbntc,   55, usb on mtk platform
-->
<thermal version="1.01" product="DVC">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="55" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="52" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="53" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="54" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>50</tau>    
    <epsilon>1</epsilon>
    <interval>200</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>   
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>1832.3</para_init_a>
    <para_init_b>39.007</para_init_b>
    <para_ac_a>-8160.7</para_ac_a>
    <para_ac_b>-0.3021</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>-7417.34</para_dc_a>
    <para_dc_b>-0.3032</para_dc_b>
    <para_dc_cur>-3.18097</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="battery" alpha="1.5019" beta="1.1367"/>
    <sensor1 type="battery" alpha="0" beta="0"/>
    <sensor2 type="mtktsAP" alpha="-0.24964" beta="-0.11661"/>
    <sensor3 type="mtkts_chargerntc" alpha="-0.21268" beta="0.001894"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>3</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_frame">
        <bat_bias>2500</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>3765</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="mtktsAP" type="ntc" coef="7168,1473,1593,1702,1274,3151,29233"/>
        <sensor1 name="mtkts_chargerntc" type="ntc" coef="-9504,-1152,-113,978,-906,835,10820"/>
        <sensor2 name="mtkts_usbntc" type="ntc" coef="8087,4330,2522,1602,-734,23,-2418"/>
        <sensor3 name="mtktsbtsmdpa" type="ntc" coef="-3109,-764,-1360,-198,-1284,232,9774"/>
        <sensor4 name="battery" type="ntc" coef="-6506,-5038,-3263,-342,3882,8077,14101"/>
        <sensor5 name="battery" type="ntc" coef="-6506,-5038,-3263,-342,3882,8077,14101"/>
    </shell_coef0>
    <shell_coef1 name="shell_front">
        <bat_bias>2000</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>3045</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="mtktsAP" type="ntc" coef="2309,623,1242,1061,1372,3484,22020"/>
        <sensor1 name="mtkts_chargerntc" type="ntc" coef="4196,853,642,1184,1111,-940,-2334"/>
        <sensor2 name="mtktsbtsmdpa" type="ntc" coef="-3361,-1087,-1491,249,-972,785,8775"/>
        <sensor3 name="mtkts_usbntc" type="ntc" coef="-6702,-1834,477,845,-157,229,6100"/>
        <sensor4 name="battery" type="ntc" coef="-7316,-4643,-1783,2206,6281,11519,8817"/>
        <sensor5 name="battery" type="ntc" coef="-7316,-4643,-1783,2206,6281,11519,8817"/>
    </shell_coef1>
    <shell_coef2 name="shell_back">
        <bat_bias>2000</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>3101</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="battery" type="ntc" coef="22422,13938,9051,5798,5564,4244,4735"/>
        <sensor1 name="mtkts_chargerntc" type="ntc" coef="-5732,-1644,-909,165,-3639,-1582,-5909"/>
        <sensor2 name="mtktsbtsmdpa" type="ntc" coef="2221,-1954,-2822,1064,-1343,-10,-6576"/>
        <sensor3 name="mtktsAP" type="ntc" coef="21830,-566,-1126,-1444,-2228,614,26779"/>
        <sensor4 name="mtkts_usbntc" type="ntc" coef="-9929,-6410,-2344,-3337,-4935,-10503,-28642"/>
        <sensor5 name="battery" type="ntc" coef="22422,13938,9051,5798,5564,4244,4735"/>
		
    </shell_coef2>
</shell_calculate_coef>

</thermal>
